//
//  ApplTableDataSource.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.12.23.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWorm.h>
#import <GlowWormSock.h>



@interface AM_ApplTableDataSource : NSObject
{
	NSMutableArray * mAppls;
	NSMutableDictionary * mApplsByName;
	
	uint32_t mSockCount;
}

- (id)init;
- (void)dealloc;

- (void)addSock:(GlowWormSock *)aSock;
- (void)delSock:(GlowWormSock *)aSock;

- (void)delAll;
- (int)delOldAppls;

- (int)count;
- (int)sockCount;
- (NSArray *)getArray;

@end



@interface AM_ApplObject : NSObject
{
	uint32_t mCount;
	uint32_t mTimeout;
	NSString * mName;
	NSImage * mIcon;
}

- (id)initWithName:(NSString *)aStr origName:(NSString *)origName andCount:(uint32_t)anInt;

- (NSString *)name;
- (uint32_t)count;
- (uint32_t)timeout;
- (NSImage *)icon;

- (void)incrementCount;
- (void)decrementCount;

@end



@interface AM_ApplCell : NSCell
{
	NSTextFieldCell	* mNameCell;
	NSTextFieldCell	* mStatCell;
	NSImageCell			* mIconCell;
}

@end
